From 3bfac06504cf259dbf03e86af80d279f248ce442 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 13 May 2024 03:47:36 +0300
Subject: [PATCH 93/93] civ2civ3: Replace "UnitFlag" with "UnitTypeFlag"

See RM #604

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/civ2civ3/actions.ruleset | 418 +++++++++++++++++-----------------
 data/civ2civ3/effects.ruleset | 144 ++++++------
 data/civ2civ3/terrain.ruleset |  90 ++++----
 3 files changed, 326 insertions(+), 326 deletions(-)

diff --git a/data/civ2civ3/actions.ruleset b/data/civ2civ3/actions.ruleset
index 655ed8a66e..87f949b7c1 100644
--- a/data/civ2civ3/actions.ruleset
+++ b/data/civ2civ3/actions.ruleset
@@ -28,7 +28,7 @@ if_attacker =
       "DiplRel",      "War",     "Local", TRUE
       "MinMoveFrags", "1",       "Local", TRUE
       ; Not a good idea to nuke our own area.
-      "UnitFlag",     "Nuclear", "Local", FALSE
+      "UnitTypeFlag", "Nuclear", "Local", FALSE
     }
 
 attack_actions = "Capture Units", "Bombard", "Collect Ransom", "Attack",
@@ -470,18 +470,18 @@ quiet_actions = "Transport Disembark 2", "Conquer City 2", "Enter Hut 2",
 action        = "Sabotage City"
 actor_reqs    =
     { "type",         "name",          "range", "present"
-      "UnitFlag",     "Diplomat",      "Local", TRUE
+      "UnitTypeFlag", "Diplomat",      "Local", TRUE
       "DiplRel",      "War",           "Local", TRUE
       "UnitState",    "OnLivableTile", "Local", TRUE
       "MinMoveFrags", "1",             "Local", TRUE
-      "UnitFlag",     "Spy",           "Local", FALSE
+      "UnitTypeFlag", "Spy",           "Local", FALSE
     }
 
 [enabler_sabotage_city_spy]
 action        = "Sabotage City Escape"
 actor_reqs    =
     { "type",         "name",          "range"
-      "UnitFlag",     "Spy",           "Local"
+      "UnitTypeFlag", "Spy",           "Local"
       "DiplRel",      "War",           "Local"
       "UnitState",    "OnLivableTile", "Local"
       "MinMoveFrags", "1",             "Local"
@@ -492,7 +492,7 @@ action        = "Targeted Sabotage City Escape"
 actor_reqs    =
     { "type",         "name",          "range"
       "DiplRel",      "War",           "Local"
-      "UnitFlag",     "Spy",           "Local"
+      "UnitTypeFlag", "Spy",           "Local"
       "UnitState",    "OnLivableTile", "Local"
       "MinMoveFrags", "1",             "Local"
     }
@@ -502,7 +502,7 @@ action        = "Sabotage City Production Escape"
 actor_reqs    =
     { "type",         "name",          "range"
       "DiplRel",      "War",           "Local"
-      "UnitFlag",     "Spy",           "Local"
+      "UnitTypeFlag", "Spy",           "Local"
       "UnitState",    "OnLivableTile", "Local"
       "MinMoveFrags", "1",             "Local"
     }
@@ -511,11 +511,11 @@ actor_reqs    =
 action        = "Establish Embassy Stay"
 actor_reqs    =
     { "type",         "name",             "range", "present"
-      "UnitFlag",     "Diplomat",         "Local", TRUE
+      "UnitTypeFlag", "Diplomat",         "Local", TRUE
       "MinMoveFrags", "1",                "Local", TRUE
       "DiplRel",      "Foreign",          "Local", TRUE
       "DiplRel",      "Has real embassy", "Local", FALSE
-      "UnitFlag",     "Spy",              "Local", FALSE
+      "UnitTypeFlag", "Spy",              "Local", FALSE
     }
 target_reqs   =
     { "type",        "name",      "range", "present"
@@ -526,7 +526,7 @@ target_reqs   =
 action        = "Establish Embassy"
 actor_reqs    =
     { "type",         "name",             "range", "present"
-      "UnitFlag",     "Spy",              "Local", TRUE
+      "UnitTypeFlag", "Spy",              "Local", TRUE
       "MinMoveFrags", "1",                "Local", TRUE
       "DiplRel",      "Foreign",          "Local", TRUE
       "DiplRel",      "Has real embassy", "Local", FALSE
@@ -553,20 +553,20 @@ target_reqs  =
 [enabler_investigate_city]
 action        = "Investigate City"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Diplomat", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "DiplRel", "Foreign", "Local", TRUE
-      "UnitFlag", "Spy", "Local", FALSE
+    { "type",         "name",     "range", "present"
+      "UnitTypeFlag", "Diplomat", "Local", TRUE
+      "MinMoveFrags", "1",        "Local", TRUE
+      "DiplRel",      "Foreign",  "Local", TRUE
+      "UnitTypeFlag", "Spy",      "Local", FALSE
     }
 
 [enabler_investigate_city_spy]
 action        = "Investigate City"
 actor_reqs    =
-    { "type",   "name", "range"
-      "UnitFlag", "Spy", "Local"
-      "MinMoveFrags", "1", "Local"
-      "DiplRel", "Foreign", "Local"
+    { "type",         "name",    "range"
+      "UnitTypeFlag", "Spy",     "Local"
+      "MinMoveFrags", "1",       "Local"
+      "DiplRel",      "Foreign", "Local"
     }
 
 [enabler_investigate_city_explorer]
@@ -582,8 +582,8 @@ actor_reqs    =
 action        = "Steal Tech"
 actor_reqs    =
     { "type",         "name",          "range", "present"
-      "UnitFlag",     "Spy",           "Local", FALSE
-      "UnitFlag",     "Diplomat",      "Local", TRUE
+      "UnitTypeFlag", "Spy",           "Local", FALSE
+      "UnitTypeFlag", "Diplomat",      "Local", TRUE
       "UnitState",    "OnLivableTile", "Local", TRUE
       "MinMoveFrags", "1",             "Local", TRUE
       "DiplRel",      "Foreign",       "Local", TRUE
@@ -597,7 +597,7 @@ target_reqs   =
 action        = "Steal Tech Escape Expected"
 actor_reqs    =
     { "type",         "name",          "range"
-      "UnitFlag",     "Spy",           "Local"
+      "UnitTypeFlag", "Spy",           "Local"
       "UnitState",    "OnLivableTile", "Local"
       "MinMoveFrags", "1",             "Local"
       "DiplRel",      "Foreign",       "Local"
@@ -611,7 +611,7 @@ target_reqs   =
 action        = "Targeted Steal Tech Escape Expected"
 actor_reqs    =
     { "type",         "name",          "range"
-      "UnitFlag",     "Spy",           "Local"
+      "UnitTypeFlag", "Spy",           "Local"
       "UnitState",    "OnLivableTile", "Local"
       "MinMoveFrags", "1",             "Local"
       "DiplRel",      "Foreign",       "Local"
@@ -624,11 +624,11 @@ target_reqs   =
 [enabler_poison_city]
 action        = "Poison City Escape"
 actor_reqs    =
-    { "type",   "name", "range"
-      "UnitFlag", "Spy", "Local"
-      "DiplRel", "War", "Local"
-      "UnitState", "OnLivableTile", "Local"
-      "MinMoveFrags", "1", "Local"
+    { "type",         "name",          "range"
+      "UnitTypeFlag", "Spy",           "Local"
+      "DiplRel",      "War",           "Local"
+      "UnitState",    "OnLivableTile", "Local"
+      "MinMoveFrags", "1",             "Local"
     }
 target_reqs   =
     { "type",   "name", "range"
@@ -639,13 +639,13 @@ target_reqs   =
 action        = "Incite City"
 actor_reqs    =
     { "type",         "name",          "range", "present"
-      "UnitFlag",     "Diplomat",      "Local", TRUE
+      "UnitTypeFlag", "Diplomat",      "Local", TRUE
       "DiplRel",      "Alliance",      "Local", FALSE
       "DiplRel",      "Team",          "Local", FALSE
       "UnitState",    "OnLivableTile", "Local", TRUE
       "MinMoveFrags", "1",             "Local", TRUE
       "DiplRel",      "Foreign",       "Local", TRUE
-      "UnitFlag",     "Spy",           "Local", FALSE
+      "UnitTypeFlag", "Spy",           "Local", FALSE
     }
 target_reqs   =
     { "type",     "name",                  "range", "present"
@@ -659,7 +659,7 @@ target_reqs   =
 action        = "Incite City Escape"
 actor_reqs    =
     { "type",         "name",          "range", "present"
-      "UnitFlag",     "Spy",           "Local", TRUE
+      "UnitTypeFlag", "Spy",           "Local", TRUE
       "DiplRel",      "Alliance",      "Local", FALSE
       "DiplRel",      "Team",          "Local", FALSE
       "UnitState",    "OnLivableTile", "Local", TRUE
@@ -677,30 +677,30 @@ target_reqs   =
 [enabler_bribe_unit]
 action        = "Bribe Unit"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Diplomat", "Local", TRUE
-      "UnitState", "HasHomeCity", "Local", TRUE
-      "DiplRel", "Alliance", "Local", FALSE
-      "DiplRel", "Team", "Local", FALSE
-      "UnitState", "OnLivableTile", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "DiplRel", "Foreign", "Local", TRUE
+    { "type",         "name",          "range", "present"
+      "UnitTypeFlag", "Diplomat",      "Local", TRUE
+      "UnitState",    "HasHomeCity",   "Local", TRUE
+      "DiplRel",      "Alliance",      "Local", FALSE
+      "DiplRel",      "Team",          "Local", FALSE
+      "UnitState",    "OnLivableTile", "Local", TRUE
+      "MinMoveFrags", "1",             "Local", TRUE
+      "DiplRel",      "Foreign",       "Local", TRUE
     }
 target_reqs   =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Unbribable", "Local", FALSE
-      "CityTile", "Center", "Tile", FALSE
-      "MaxUnitsOnTile", "1", "Tile", TRUE
+    { "type",           "name",       "range", "present"
+      "UnitTypeFlag",   "Unbribable", "Local", FALSE
+      "CityTile",       "Center",     "Tile",  FALSE
+      "MaxUnitsOnTile", "1",          "Tile",  TRUE
     }
 
 [enabler_sabotage_unit]
 action        = "Sabotage Unit Escape"
 actor_reqs    =
-    { "type",   "name", "range"
-      "UnitFlag", "Spy", "Local"
-      "DiplRel", "War", "Local"
-      "UnitState", "OnLivableTile", "Local"
-      "MinMoveFrags", "1", "Local"
+    { "type",         "name",          "range"
+      "UnitTypeFlag", "Spy",           "Local"
+      "DiplRel",      "War",           "Local"
+      "UnitState",    "OnLivableTile", "Local"
+      "MinMoveFrags", "1",             "Local"
     }
 target_reqs   =
     { "type",   "name", "range", "present"
@@ -712,13 +712,13 @@ target_reqs   =
 [enabler_eliminate_spy]
 action        = "Spy Attack"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Spy", "Local", TRUE
-      "UnitState", "OnLivableTile", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "DiplRel", "Alliance", "Local", FALSE
-      "DiplRel", "Team", "Local", FALSE
-      "DiplRel", "Foreign", "Local", TRUE
+    { "type",         "name",          "range", "present"
+      "UnitTypeFlag", "Spy",           "Local", TRUE
+      "UnitState",    "OnLivableTile", "Local", TRUE
+      "MinMoveFrags", "1",             "Local", TRUE
+      "DiplRel",      "Alliance",      "Local", FALSE
+      "DiplRel",      "Team",          "Local", FALSE
+      "DiplRel",      "Foreign",       "Local", TRUE
     }
 target_reqs   =
     { "type",   "name", "range", "present"
@@ -728,22 +728,22 @@ target_reqs   =
 [enabler_trade_route]
 action        = "Establish Trade Route"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "TradeRoute", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "UnitState", "HasHomeCity", "Local", TRUE
+    { "type",         "name",        "range", "present"
+      "UnitTypeFlag", "TradeRoute",  "Local", TRUE
+      "MinMoveFrags", "1",           "Local", TRUE
+      "UnitState",    "HasHomeCity", "Local", TRUE
     }
 
 [enabler_help_build_wonder]
 action        = "Help Wonder"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "HelpWonder", "Local", TRUE
-      "DiplRel", "Armistice", "Local", FALSE
-      "DiplRel", "War", "Local", FALSE
-      "DiplRel", "Cease-fire", "Local", FALSE
-      "DiplRel", "Peace", "Local", FALSE
-      "MinMoveFrags", "1", "Local", TRUE
+    { "type",         "name",       "range", "present"
+      "UnitTypeFlag", "HelpWonder", "Local", TRUE
+      "DiplRel",      "Armistice",  "Local", FALSE
+      "DiplRel",      "War",        "Local", FALSE
+      "DiplRel",      "Cease-fire", "Local", FALSE
+      "DiplRel",      "Peace",      "Local", FALSE
+      "MinMoveFrags", "1",          "Local", TRUE
     }
 target_reqs   =
     { "type",   "name", "range"
@@ -753,42 +753,42 @@ target_reqs   =
 [enabler_disband_unit_recover]
 action        = "Disband Unit Recover"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "EvacuateFirst", "Local", FALSE
-      "DiplRel",  "War",        "Local", FALSE
-      "DiplRel",  "Cease-fire", "Local", FALSE
-      "DiplRel",  "Armistice",  "Local", FALSE
-      "DiplRel",  "Peace",      "Local", FALSE
+    { "type",         "name",          "range", "present"
+      "UnitTypeFlag", "EvacuateFirst", "Local", FALSE
+      "DiplRel",      "War",           "Local", FALSE
+      "DiplRel",      "Cease-fire",    "Local", FALSE
+      "DiplRel",      "Armistice",     "Local", FALSE
+      "DiplRel",      "Peace",         "Local", FALSE
     }
 
 [enabler_disband_unit]
 action        = "Disband Unit"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "EvacuateFirst", "Local", FALSE
+    { "type",         "name",          "range", "present"
+      "UnitTypeFlag", "EvacuateFirst", "Local", FALSE
     }
 
 [enabler_capture]
 action        = "Capture Units"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Capturer", "Local", TRUE
-      "DiplRel", "War", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "DiplRel", "Foreign", "Local", TRUE
+    { "type",         "name",     "range", "present"
+      "UnitTypeFlag", "Capturer", "Local", TRUE
+      "DiplRel",      "War",      "Local", TRUE
+      "MinMoveFrags", "1",        "Local", TRUE
+      "DiplRel",      "Foreign",  "Local", TRUE
     }
 target_reqs   =
-    { "type",      "name",         "range", "present"
-      "UnitFlag",  "Capturable",   "Local", TRUE
-      "UnitState", "Transporting", "Local", FALSE
-      "CityTile",  "Center",       "Tile",  FALSE
+    { "type",         "name",         "range", "present"
+      "UnitTypeFlag", "Capturable",   "Local", TRUE
+      "UnitState",    "Transporting", "Local", FALSE
+      "CityTile",     "Center",       "Tile",  FALSE
     }
 
 [enabler_bombard_city]
 action        = "Bombard"
 actor_reqs    =
     { "type",         "name",        "range", "present"
-      "UnitFlag",     "Bombarder",   "Local", TRUE
+      "UnitTypeFlag", "Bombarder",   "Local", TRUE
       "UnitState",    "Transported", "Local", FALSE
       "MinMoveFrags", "1",           "Local", TRUE
       "DiplRel",      "War",         "Local", TRUE
@@ -803,7 +803,7 @@ target_reqs   =
 action        = "Bombard"
 actor_reqs    =
     { "type",         "name",        "range", "present"
-      "UnitFlag",     "Bombarder",   "Local", TRUE
+      "UnitTypeFlag", "Bombarder",   "Local", TRUE
       "UnitState",    "Transported", "Local", FALSE
       "MinMoveFrags", "1",           "Local", TRUE
       "DiplRel",      "War",         "Local", TRUE
@@ -817,10 +817,10 @@ target_reqs   =
 [enabler_build_city_pioneer]
 action        = "Found City"
 actor_reqs    =
-    { "type",   "name", "range"
-      "UnitFlag", "Cities", "Local"
-      "UnitState", "OnLivableTile", "Local"
-      "MinMoveFrags", "1", "Local"
+    { "type",         "name",          "range"
+      "UnitTypeFlag", "Cities",        "Local"
+      "UnitState",    "OnLivableTile", "Local"
+      "MinMoveFrags", "1",             "Local"
     }
 target_reqs   =
     { "type",   "name", "range", "present"
@@ -831,11 +831,11 @@ target_reqs   =
 [enabler_build_city_domestic]
 action        = "Found City"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "Cities", "Local", TRUE
-      "UnitState", "OnLivableTile", "Local", TRUE
-      "MinMoveFrags", "1", "Local", TRUE
-      "DiplRel", "Foreign", "Local", FALSE
+    { "type",         "name",          "range", "present"
+      "UnitTypeFlag", "Cities",        "Local", TRUE
+      "UnitState",    "OnLivableTile", "Local", TRUE
+      "MinMoveFrags", "1",             "Local", TRUE
+      "DiplRel",      "Foreign",       "Local", FALSE
     }
 target_reqs   =
     { "type",        "name",     "range", "present"
@@ -846,24 +846,24 @@ target_reqs   =
 [enabler_join_city]
 action        = "Join City"
 actor_reqs    =
-    { "type",   "name", "range", "present"
-      "UnitFlag", "AddToCity", "Local", TRUE
-      "DiplRel", "Foreign", "Local", FALSE
-      "MinMoveFrags", "1", "Local", TRUE
+    { "type",         "name",      "range", "present"
+      "UnitTypeFlag", "AddToCity", "Local", TRUE
+      "DiplRel",      "Foreign",   "Local", FALSE
+      "MinMoveFrags", "1",         "Local", TRUE
     }
 
 [enabler_nuke]
 action        = "Explode Nuclear"
 actor_reqs    =
-    { "type",     "name",    "range", "present"
-      "UnitFlag", "Nuclear", "Local", TRUE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Nuclear", "Local", TRUE
     }
 
 [enabler_nuke_city]
 action        = "Nuke City"
 actor_reqs    =
     { "type",         "name",    "range"
-      "UnitFlag",     "Nuclear", "Local"
+      "UnitTypeFlag", "Nuclear", "Local"
       "MinMoveFrags", "1",       "Local"
       "DiplRel",      "War",     "Local"
     }
@@ -872,7 +872,7 @@ actor_reqs    =
 action        = "Nuke Units"
 actor_reqs    =
     { "type",         "name",    "range"
-      "UnitFlag",     "Nuclear", "Local"
+      "UnitTypeFlag", "Nuclear", "Local"
       "MinMoveFrags", "1",       "Local"
       "DiplRel",      "War",     "Local"
     }
@@ -885,7 +885,7 @@ target_reqs   =
 action        = "Attack"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "NonMil",       "Local", FALSE
+      "UnitTypeFlag",  "NonMil",       "Local", FALSE
       "UnitClassFlag", "Missile",      "Local", FALSE
       "MinMoveFrags",  "1",            "Local", TRUE
       "UnitState",     "OnNativeTile", "Local", TRUE
@@ -896,10 +896,10 @@ actor_reqs    =
 action        = "Attack"
 actor_reqs    =
     { "type",          "name",    "range", "present"
-      "UnitFlag",      "NonMil",  "Local", FALSE
+      "UnitTypeFlag",  "NonMil",  "Local", FALSE
       "UnitClassFlag", "Missile", "Local", FALSE
       "MinMoveFrags",  "1",       "Local", TRUE
-      "UnitFlag",      "Marines", "Local", TRUE
+      "UnitTypeFlag",  "Marines", "Local", TRUE
       "DiplRel",       "War",     "Local", TRUE
     }
 
@@ -907,7 +907,7 @@ actor_reqs    =
 action        = "Attack"
 actor_reqs    =
     { "type",          "name",             "range", "present"
-      "UnitFlag",      "NonMil",           "Local", FALSE
+      "UnitTypeFlag",  "NonMil",           "Local", FALSE
       "UnitClassFlag", "Missile",          "Local", FALSE
       "MinMoveFrags",  "1",                "Local", TRUE
       "UnitClassFlag", "AttFromNonNative", "Local", TRUE
@@ -918,7 +918,7 @@ actor_reqs    =
 action        = "Collect Ransom"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "NonMil",       "Local", FALSE
+      "UnitTypeFlag",  "NonMil",       "Local", FALSE
       "UnitClassFlag", "Missile",      "Local", FALSE
       "MinMoveFrags",  "1",            "Local", TRUE
       "UnitState",     "OnNativeTile", "Local", TRUE
@@ -933,10 +933,10 @@ target_reqs   =
 action        = "Collect Ransom"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "NonMil",       "Local", FALSE
+      "UnitTypeFlag",  "NonMil",       "Local", FALSE
       "UnitClassFlag", "Missile",      "Local", FALSE
       "MinMoveFrags",  "1",            "Local", TRUE
-      "UnitFlag",      "Marines",      "Local", TRUE
+      "UnitTypeFlag",  "Marines",      "Local", TRUE
       "DiplRel",       "War",          "Local", TRUE
     }
 target_reqs   =
@@ -948,7 +948,7 @@ target_reqs   =
 action        = "Collect Ransom"
 actor_reqs    =
     { "type",          "name",             "range", "present"
-      "UnitFlag",      "NonMil",           "Local", FALSE
+      "UnitTypeFlag",  "NonMil",           "Local", FALSE
       "UnitClassFlag", "Missile",          "Local", FALSE
       "MinMoveFrags",  "1",                "Local", TRUE
       "UnitClassFlag", "AttFromNonNative", "Local", TRUE
@@ -963,7 +963,7 @@ target_reqs   =
 action        = "Suicide Attack"
 actor_reqs    =
     { "type",          "name",    "range", "present"
-      "UnitFlag",      "NonMil",  "Local", FALSE
+      "UnitTypeFlag",  "NonMil",  "Local", FALSE
       "UnitClassFlag", "Missile", "Local", TRUE
       "MinMoveFrags",  "1",       "Local", TRUE
       "DiplRel",       "War",     "Local", TRUE
@@ -974,7 +974,7 @@ action        = "Conquer City"
 actor_reqs    =
     { "type",           "name",           "range",  "present"
       "UnitClassFlag",  "CanOccupyCity",  "Local",  TRUE
-      "UnitFlag",       "NonMil",         "Local",  FALSE
+      "UnitTypeFlag",   "NonMil",         "Local",  FALSE
       "DiplRel",        "War",            "Local",  TRUE
       "MinMoveFrags",   "1",              "Local",  TRUE
       "UnitState",      "OnLivableTile",  "Local",  TRUE
@@ -990,10 +990,10 @@ action        = "Conquer City 2"
 actor_reqs    =
     { "type",           "name",           "range",  "present"
       "UnitClassFlag",  "CanOccupyCity",  "Local",  TRUE
-      "UnitFlag",       "NonMil",         "Local",  FALSE
+      "UnitTypeFlag",   "NonMil",         "Local",  FALSE
       "DiplRel",        "War",            "Local",  TRUE
       "MinMoveFrags",   "1",              "Local",  TRUE
-      "UnitFlag",       "Marines",        "Local",  TRUE
+      "UnitTypeFlag",   "Marines",        "Local",  TRUE
       "UnitState",      "OnLivableTile",  "Local",  FALSE
       "Nation",         "Animal Kingdom", "Player", FALSE
     }
@@ -1005,25 +1005,25 @@ target_reqs   =
 [enabler_change_home_city]
 action        = "Home City"
 actor_reqs    =
-    { "type",      "name",        "range", "present"
-      "UnitFlag",  "NoHome",      "Local", FALSE
-      "UnitState", "HasHomeCity", "Local", TRUE
-      "DiplRel",   "Foreign",  "Local", FALSE
+    { "type",         "name",        "range", "present"
+      "UnitTypeFlag", "NoHome",      "Local", FALSE
+      "UnitState",    "HasHomeCity", "Local", TRUE
+      "DiplRel",      "Foreign",     "Local", FALSE
     }
 
 [enabler_change_home_city_diplo]
 action        = "Home City"
 actor_reqs    =
-    { "type",      "name",     "range", "present"
-      "UnitFlag",  "Diplomat", "Local", TRUE
-      "DiplRel",   "Foreign",  "Local", FALSE
+    { "type",         "name",     "range", "present"
+      "UnitTypeFlag", "Diplomat", "Local", TRUE
+      "DiplRel",      "Foreign",  "Local", FALSE
     }
 
 [enabler_paradrop_base_to_claimed]
 action        = "Paradrop Unit Enter"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "Paratroopers", "Local", TRUE
+      "UnitTypeFlag",  "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
       "ExtraFlag",     "ParadropFrom", "Tile",  TRUE
@@ -1040,7 +1040,7 @@ target_reqs   =
 action        = "Paradrop Unit Enter"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "Paratroopers", "Local", TRUE
+      "UnitTypeFlag",  "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
       "ExtraFlag",     "ParadropFrom", "Tile",  TRUE
@@ -1055,13 +1055,13 @@ target_reqs   =
 action        = "Paradrop Unit Enter Conquer"
 actor_reqs    =
     { "type",          "name",           "range",  "present"
-      "UnitFlag",      "Paratroopers",   "Local",  TRUE
+      "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE
       "MinMoveFrags",  "6",              "Local",  TRUE
       "UnitState",     "Transporting",   "Local",  FALSE
       "ExtraFlag",     "ParadropFrom",   "Tile",   TRUE
       "DiplRel",       "War",            "Local",  TRUE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE
-      "UnitFlag",      "NonMil",         "Local",  FALSE
+      "UnitTypeFlag",  "NonMil",         "Local",  FALSE
       "UnitClassFlag", "HutFrighten",    "Local",  FALSE
       "Nation",        "Animal Kingdom", "Player", FALSE
     }
@@ -1074,7 +1074,7 @@ target_reqs   =
 action        = "Paradrop Unit Enter"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "Paratroopers", "Local", TRUE
+      "UnitTypeFlag",  "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
       "CityTile",      "Center",       "Tile",  TRUE
@@ -1091,7 +1091,7 @@ target_reqs   =
 action        = "Paradrop Unit Enter"
 actor_reqs    =
     { "type",          "name",         "range", "present"
-      "UnitFlag",      "Paratroopers", "Local", TRUE
+      "UnitTypeFlag",  "Paratroopers", "Local", TRUE
       "MinMoveFrags",  "6",            "Local", TRUE
       "UnitState",     "Transporting", "Local", FALSE
       "CityTile",      "Center",       "Tile",  TRUE
@@ -1106,13 +1106,13 @@ target_reqs   =
 action        = "Paradrop Unit Enter Conquer"
 actor_reqs    =
     { "type",          "name",           "range",  "present"
-      "UnitFlag",      "Paratroopers",   "Local",  TRUE
+      "UnitTypeFlag",  "Paratroopers",   "Local",  TRUE
       "MinMoveFrags",  "6",              "Local",  TRUE
       "UnitState",     "Transporting",   "Local",  FALSE
       "CityTile",      "Center",         "Tile",   TRUE
       "DiplRel",       "War",            "Local",  TRUE
       "UnitClassFlag", "CanOccupyCity",  "Local",  TRUE
-      "UnitFlag",      "NonMil",         "Local",  FALSE
+      "UnitTypeFlag",  "NonMil",         "Local",  FALSE
       "UnitClassFlag", "HutFrighten",    "Local",  FALSE
       "Nation",        "Animal Kingdom", "Player", FALSE
     }
@@ -1141,40 +1141,40 @@ actor_reqs    =
 [enabler_transform_terrain]
 action        = "Transform Terrain"
 actor_reqs    =
-    { "type",          "name",         "range"
-      "Tech",          "Fusion Power", "Player"
-      "UnitFlag",      "Transform",    "Local"
-      "UnitFlag",      "Workers",      "Local"
+    { "type",         "name",         "range"
+      "Tech",         "Fusion Power", "Player"
+      "UnitTypeFlag", "Transform",    "Local"
+      "UnitTypeFlag", "Workers",      "Local"
     }
 
 [enabler_cultivate]
 action        = "Cultivate"
 actor_reqs    =
-    { "type",          "name",         "range", "present"
-      "UnitFlag",      "Workers",      "Local", TRUE
-      "UnitClass",     "Sea",          "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 
 [enabler_plant]
 action        = "Plant"
 actor_reqs    =
-    { "type",          "name",         "range", "present"
-      "UnitFlag",      "Workers",      "Local", TRUE
-      "UnitClass",     "Sea",          "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 
 [enabler_pillage]
 action        = "Pillage"
 actor_reqs    =
-    { "type",          "name",         "range"
-      "UnitClassFlag", "CanPillage",   "Local"
+    { "type",          "name",       "range"
+      "UnitClassFlag", "CanPillage", "Local"
     }
 
 [enabler_clean]
 action        = "Clean"
 actor_reqs    =
-    { "type",          "name",         "range", "present"
-      "UnitFlag",      "Workers",      "Local", TRUE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
     }
 
 [enabler_fortify_terrain]
@@ -1182,7 +1182,7 @@ action        = "Fortify"
 actor_reqs    =
     { "type",          "name",         "range", "present"
       "UnitClassFlag", "CanFortify",   "Local", TRUE
-      "UnitFlag",      "Cant_Fortify", "Local", FALSE
+      "UnitTypeFlag",  "Cant_Fortify", "Local", FALSE
       "TerrainFlag",   "NoFortify",    "Tile",  FALSE
       "Activity",      "Fortified",    "Local", FALSE
     }
@@ -1192,7 +1192,7 @@ action        = "Fortify"
 actor_reqs    =
     { "type",          "name",         "range", "present"
       "UnitClassFlag", "CanFortify",   "Local", TRUE
-      "UnitFlag",      "Cant_Fortify", "Local", FALSE
+      "UnitTypeFlag",  "Cant_Fortify", "Local", FALSE
       "CityTile",      "Center",       "Tile",  TRUE
       "Activity",      "Fortified",    "Local", FALSE
     }
@@ -1200,8 +1200,8 @@ actor_reqs    =
 [enabler_road]
 action        = "Build Road"
 actor_reqs    =
-    { "type",          "name",         "range"
-      "UnitFlag",      "Workers",      "Local"
+    { "type",         "name",    "range"
+      "UnitTypeFlag", "Workers", "Local"
     }
 target_reqs   =
     { "type",         "name",    "range"
@@ -1211,7 +1211,7 @@ target_reqs   =
 [enabler_base]
 action        = "Build Base"
 actor_reqs    =
-    { "type",          "name",         "range"
+    { "type",         "name",    "range"
     }
 target_reqs   =
     { "type",         "name",    "range"
@@ -1221,9 +1221,9 @@ target_reqs   =
 [enabler_mining]
 action        = "Build Mine"
 actor_reqs    =
-    { "type",      "name",     "range", "present"
-      "UnitFlag",  "Workers",  "Local", TRUE
-      "UnitClass", "Sea",      "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",       "range", "present"
@@ -1234,13 +1234,13 @@ target_reqs   =
 [enabler_mining_ocean]
 action        = "Build Mine"
 actor_reqs    =
-    { "type",      "name",            "range"
-      "UnitFlag",  "Workers",         "Local"
-      "Tech",      "Miniaturization", "Player"
+    { "type",         "name",            "range"
+      "UnitTypeFlag", "Workers",         "Local"
+      "Tech",         "Miniaturization", "Player"
     }
 target_reqs   =
-    { "type",    "name",            "range",  "present"
-      "Terrain", "Deep Ocean",      "Tile",   TRUE
+    { "type",    "name",       "range",  "present"
+      "Terrain", "Deep Ocean", "Tile",   TRUE
     }
 
 ; Prevent building farmland on bare deserts. It does not yield any bonus
@@ -1255,10 +1255,10 @@ target_reqs   =
 [enabler_irrigate_src_tech_basic_irrigation]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",        "range",  "present"
-      "UnitFlag",  "Workers",     "Local",  TRUE
-      "Tech",      "Electricity", "Player", TRUE
-      "UnitClass", "Sea",         "Local",  FALSE
+    { "type",         "name",        "range",  "present"
+      "UnitTypeFlag", "Workers",     "Local",  TRUE
+      "Tech",         "Electricity", "Player", TRUE
+      "UnitClass",    "Sea",         "Local",  FALSE
     }
 target_reqs   =
     { "type",         "name",        "range", "present"
@@ -1269,9 +1269,9 @@ target_reqs   =
 [enabler_irrigate_src_ocean_basic_irrigation]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",      "range", "present"
-      "UnitFlag",  "Workers",   "Local", TRUE
-      "UnitClass", "Sea",       "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",        "range",     "present"
@@ -1283,9 +1283,9 @@ target_reqs   =
 [enabler_irrigate_src_extra_basic_irrigation]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",     "range", "present"
-      "UnitFlag",  "Workers",  "Local", TRUE
-      "UnitClass", "Sea",      "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",             "range",     "present"
@@ -1297,10 +1297,10 @@ target_reqs   =
 [enabler_irrigate_src_tech_not_in_desert]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",        "range",  "present"
-      "UnitFlag",  "Workers",     "Local",  TRUE
-      "Tech",      "Electricity", "Player", TRUE
-      "UnitClass", "Sea",         "Local",  FALSE
+    { "type",         "name",        "range",  "present"
+      "UnitTypeFlag", "Workers",     "Local",  TRUE
+      "Tech",         "Electricity", "Player", TRUE
+      "UnitClass",    "Sea",         "Local",  FALSE
     }
 target_reqs   =
     { "type",         "name",        "range", "present"
@@ -1311,9 +1311,9 @@ target_reqs   =
 [enabler_irrigate_src_ocean_not_in_desert]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",      "range", "present"
-      "UnitFlag",  "Workers",   "Local", TRUE
-      "UnitClass", "Sea",       "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",        "range",     "present"
@@ -1325,9 +1325,9 @@ target_reqs   =
 [enabler_irrigate_src_extra_not_in_desert]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",     "range", "present"
-      "UnitFlag",  "Workers",  "Local", TRUE
-      "UnitClass", "Sea",      "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",             "range",     "present"
@@ -1339,23 +1339,23 @@ target_reqs   =
 [enabler_irrigate_src_tech_desert_but_allowed]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",        "range",  "present"
-      "UnitFlag",  "Workers",     "Local",  TRUE
-      "Tech",      "Electricity", "Player", TRUE
-      "UnitClass", "Sea",         "Local",  FALSE
+    { "type",         "name",        "range",  "present"
+      "UnitTypeFlag", "Workers",     "Local",  TRUE
+      "Tech",         "Electricity", "Player", TRUE
+      "UnitClass",    "Sea",         "Local",  FALSE
     }
 target_reqs   =
-    { "type",         "name",                   "range", "present"
-      "Terrain",      "Desert",                 "Tile",  TRUE
-      "ExtraFlag",    "AllowsFarmlandOnDesert", "Tile",  TRUE
+    { "type",      "name",                   "range", "present"
+      "Terrain",   "Desert",                 "Tile",  TRUE
+      "ExtraFlag", "AllowsFarmlandOnDesert", "Tile",  TRUE
     }
 
 [enabler_irrigate_src_ocean_desert_but_allowed]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",      "range", "present"
-      "UnitFlag",  "Workers",   "Local", TRUE
-      "UnitClass", "Sea",       "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
     { "type",         "name",                   "range",    "present"
@@ -1367,15 +1367,15 @@ target_reqs   =
 [enabler_irrigate_src_extra_desert_but_allowed]
 action        = "Build Irrigation"
 actor_reqs    =
-    { "type",      "name",     "range", "present"
-      "UnitFlag",  "Workers",  "Local", TRUE
-      "UnitClass", "Sea",      "Local", FALSE
+    { "type",         "name",    "range", "present"
+      "UnitTypeFlag", "Workers", "Local", TRUE
+      "UnitClass",    "Sea",     "Local", FALSE
     }
 target_reqs   =
-    { "type",      "name",                    "range",     "present"
-      "ExtraFlag", "IrrigationSource",        "CAdjacent", TRUE
-      "Terrain",    "Desert",                 "Tile",      TRUE
-      "ExtraFlag",  "AllowsFarmlandOnDesert", "Tile",      TRUE
+    { "type",      "name",                   "range",     "present"
+      "ExtraFlag", "IrrigationSource",       "CAdjacent", TRUE
+      "Terrain",   "Desert",                 "Tile",      TRUE
+      "ExtraFlag", "AllowsFarmlandOnDesert", "Tile",      TRUE
     }
 
 [enabler_deboard]
@@ -1434,11 +1434,11 @@ actor_reqs    =
 [enabler_disembark_from_non_native]
 action        = "Transport Disembark 2"
 actor_reqs    =
-    { "type",           "name",         "range", "present"
-      "UnitState",      "Transported",  "Local", TRUE
-      "MinMoveFrags",   "1",            "Local", TRUE
-      "UnitState",      "OnNativeTile", "Local", FALSE
-      "CityTile",       "Center",       "Tile",  FALSE
+    { "type",         "name",         "range", "present"
+      "UnitState",    "Transported",  "Local", TRUE
+      "MinMoveFrags", "1",            "Local", TRUE
+      "UnitState",    "OnNativeTile", "Local", FALSE
+      "CityTile",     "Center",       "Tile",  FALSE
     }
 
 [enabler_embark]
@@ -1482,11 +1482,11 @@ actor_reqs    =
 [enabler_hut_enter_from_non_native]
 action        = "Enter Hut 2"
 actor_reqs    =
-    { "type",           "name",         "range", "present"
-      "MinMoveFrags",   "1",            "Local", TRUE
-      "UnitState",      "OnNativeTile", "Local", FALSE
-      "CityTile",       "Center",       "Tile",  FALSE
-      "UnitClassFlag",  "HutFrighten",  "Local", FALSE
+    { "type",          "name",         "range", "present"
+      "MinMoveFrags",  "1",            "Local", TRUE
+      "UnitState",     "OnNativeTile", "Local", FALSE
+      "CityTile",      "Center",       "Tile",  FALSE
+      "UnitClassFlag", "HutFrighten",  "Local", FALSE
     }
 
 [enabler_hut_frighten_from_native_tile]
@@ -1510,16 +1510,16 @@ actor_reqs    =
 [enabler_hut_frighten_from_non_native]
 action        = "Frighten Hut 2"
 actor_reqs    =
-    { "type",           "name",         "range", "present"
-      "MinMoveFrags",   "1",            "Local", TRUE
-      "UnitState",      "OnNativeTile", "Local", FALSE
-      "CityTile",       "Center",       "Tile",  FALSE
-      "UnitClassFlag",  "HutFrighten",  "Local", TRUE
+    { "type",          "name",         "range", "present"
+      "MinMoveFrags",  "1",            "Local", TRUE
+      "UnitState",     "OnNativeTile", "Local", FALSE
+      "CityTile",      "Center",       "Tile",  FALSE
+      "UnitClassFlag", "HutFrighten",  "Local", TRUE
     }
 
 [enabler_gain_veterancy]
 action        = "Gain Veterancy"
 actor_reqs    =
-    { "type",           "name",         "range", "present"
-      "UnitFlag",       "NoVeteran",    "Local", FALSE
+    { "type",         "name",      "range", "present"
+      "UnitTypeFlag", "NoVeteran", "Local", FALSE
     }
diff --git a/data/civ2civ3/effects.ruleset b/data/civ2civ3/effects.ruleset
index c6363893d6..51a3305d4b 100644
--- a/data/civ2civ3/effects.ruleset
+++ b/data/civ2civ3/effects.ruleset
@@ -348,7 +348,7 @@ reqs    =
       "CityTile",      "Center",       "Tile",  TRUE
       "Activity",      "Fortified",    "Local", FALSE
       "UnitClassFlag", "CanFortify",   "Local", TRUE
-      "UnitFlag",      "Cant_Fortify", "Local", FALSE
+      "UnitTypeFlag",  "Cant_Fortify", "Local", FALSE
     }
 
 [effect_city_min_hp]
@@ -1546,11 +1546,11 @@ reqs    =
 type    = "Veteran_Combat"
 value   = 50
 reqs    =
-    { "type", "name", "range", "present", "quiet"
-      "Gov", "Tribal", "Player", TRUE, TRUE
-      "UnitClass", "Land", "Local", TRUE, FALSE
-      "UnitFlag", "NonMil", "Local", FALSE, FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE, FALSE
+    { "type",         "name",      "range",  "present", "quiet"
+      "Gov",          "Tribal",    "Player", TRUE,      TRUE
+      "UnitClass",    "Land",      "Local",  TRUE,      FALSE
+      "UnitTypeFlag", "NonMil",    "Local",  FALSE,     FALSE
+      "UnitTypeFlag", "NoVeteran", "Local",  FALSE,     FALSE
     }
 
 [effect_revolution_republic]
@@ -1591,18 +1591,18 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range"
-      "Gov", "Communism", "Player"
-      "UnitFlag", "Diplomat", "Local"
+    { "type",         "name",      "range"
+      "Gov",          "Communism", "Player"
+      "UnitTypeFlag", "Diplomat",  "Local"
     }
 
 [effect_veteran_federation]
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range"
-      "Gov", "Federation", "Player"
-      "UnitFlag", "Diplomat", "Local"
+    { "type",         "name",       "range"
+      "Gov",          "Federation", "Player"
+      "UnitTypeFlag", "Diplomat",   "Local"
     }
 
 [effect_partisan_communism]
@@ -1677,33 +1677,33 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Airport", "City", TRUE
-      "UnitClass", "Air", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",      "range", "present"
+      "Building",     "Airport",   "City",  TRUE
+      "UnitClass",    "Air",       "Local", TRUE
+      "UnitTypeFlag", "NonMil",    "Local", FALSE
+      "UnitTypeFlag", "NoVeteran", "Local", FALSE
     }
 
 [effect_airport_0a]
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Airport", "City", TRUE
-      "UnitClass", "Helicopter", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",       "range", "present"
+      "Building",     "Airport",    "City",  TRUE
+      "UnitClass",    "Helicopter", "Local", TRUE
+      "UnitTypeFlag", "NonMil",     "Local", FALSE
+      "UnitTypeFlag", "NoVeteran",  "Local", FALSE
     }
 
 [effect_airport_0b]
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Airport", "City", TRUE
-      "UnitClass", "Missile", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",      "range", "present"
+      "Building",     "Airport",   "City",  TRUE
+      "UnitClass",    "Missile",   "Local", TRUE
+      "UnitTypeFlag", "NonMil",    "Local", FALSE
+      "UnitTypeFlag", "NoVeteran", "Local", FALSE
     }
 
 [effect_airport_1]
@@ -1817,8 +1817,8 @@ reqs    =
     { "type",          "name",      "range", "present"
       "BuildingFlag",  "Barracks",  "City",  TRUE
       "UnitClassFlag", "Barracks",  "Local", TRUE
-      "UnitFlag",      "NonMil",    "Local", FALSE
-      "UnitFlag",      "NoVeteran", "Local", FALSE
+      "UnitTypeFlag",  "NonMil",    "Local", FALSE
+      "UnitTypeFlag",  "NoVeteran", "Local", FALSE
     }
 
 [effect_barracks_regen]
@@ -2499,11 +2499,11 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Port Facility", "City", TRUE
-      "UnitClass", "Sea", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",          "range", "present"
+      "Building",     "Port Facility", "City",  TRUE
+      "UnitClass",    "Sea",           "Local", TRUE
+      "UnitTypeFlag", "NonMil",        "Local", FALSE
+      "UnitTypeFlag", "NoVeteran",     "Local", FALSE
     }
 
 [effect_port_facility_1]
@@ -2519,11 +2519,11 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Port Facility", "City", TRUE
-      "UnitClass", "Trireme", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",          "range", "present"
+      "Building",     "Port Facility", "City",  TRUE
+      "UnitClass",    "Trireme",       "Local", TRUE
+      "UnitTypeFlag", "NonMil",        "Local", FALSE
+      "UnitTypeFlag", "NoVeteran",     "Local", FALSE
     }
 
 [effect_port_facility_trireme_1]
@@ -3304,12 +3304,12 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Lighthouse", "Player", TRUE
-      "UnitClass", "Sea", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
-      "Building", "Port Facility", "City", FALSE
+    { "type",         "name",          "range",  "present"
+      "Building",     "Lighthouse",    "Player", TRUE
+      "UnitClass",    "Sea",           "Local",  TRUE
+      "UnitTypeFlag", "NonMil",        "Local",  FALSE
+      "UnitTypeFlag", "NoVeteran",     "Local",  FALSE
+      "Building",     "Port Facility", "City",   FALSE
     }
 
 [effect_lighthouse_trireme_move]
@@ -3342,12 +3342,12 @@ reqs    =
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Lighthouse", "Player", TRUE
-      "UnitClass", "Trireme", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
-      "Building", "Port Facility", "City", FALSE
+    { "type",         "name",          "range",  "present"
+      "Building",     "Lighthouse",    "Player", TRUE
+      "UnitClass",    "Trireme",       "Local",  TRUE
+      "UnitTypeFlag", "NonMil",        "Local",  FALSE
+      "UnitTypeFlag", "NoVeteran",     "Local",  FALSE
+      "Building",     "Port Facility", "City",   FALSE
     }
 
 [effect_lighthouse_culture]
@@ -3371,11 +3371,11 @@ reqs    =
 type    = "Veteran_Combat"
 value   = 50
 reqs    =
-    { "type", "name", "range", "present"
-      "Building", "Magellan's Expedition", "Player", TRUE
-      "UnitClass", "Sea", "Local", TRUE
-      "UnitFlag", "NonMil", "Local", FALSE
-      "UnitFlag", "NoVeteran", "Local", FALSE
+    { "type",         "name",                  "range",  "present"
+      "Building",     "Magellan's Expedition", "Player", TRUE
+      "UnitClass",    "Sea",                   "Local",  TRUE
+      "UnitTypeFlag", "NonMil",                "Local",  FALSE
+      "UnitTypeFlag", "NoVeteran",             "Local",  FALSE
     }
 
 [effect_magellans_expedition_culture]
@@ -3631,11 +3631,11 @@ reqs	=
 type    = "Veteran_Build"
 value   = 1
 reqs    =
-    { "type",          "name",                  "range", "present"
+    { "type",          "name",                  "range",  "present"
       "Building",      "Sun Tzu's War Academy", "Player", TRUE
-      "UnitClassFlag", "Barracks",              "Local", TRUE
-      "UnitFlag",      "NonMil",                "Local", FALSE
-      "UnitFlag",      "NoVeteran",             "Local", FALSE
+      "UnitClassFlag", "Barracks",              "Local",  TRUE
+      "UnitTypeFlag",  "NonMil",                "Local",  FALSE
+      "UnitTypeFlag",  "NoVeteran",             "Local",  FALSE
     }
 
 [effect_sun_tzus_war_academy_culture]
@@ -4573,36 +4573,36 @@ reqs    =
 type    = "Action_Success_Actor_Move_Cost"
 value   = 65535
 reqs    =
-    { "type",     "name",      "range", "quiet"
-      "Action",   "Attack",    "Local", TRUE
-      "UnitFlag", "OneAttack", "Local", TRUE
+    { "type",         "name",      "range", "quiet"
+      "Action",       "Attack",    "Local", TRUE
+      "UnitTypeFlag", "OneAttack", "Local", TRUE
     }
 
 [effect_action_success_attack_normal]
 type    = "Action_Success_Actor_Move_Cost"
 value   = 6
 reqs    =
-    { "type",     "name",      "range", "present"
-      "Action",   "Attack",    "Local", TRUE
-      "UnitFlag", "OneAttack", "Local", FALSE
+    { "type",         "name",      "range", "present"
+      "Action",       "Attack",    "Local", TRUE
+      "UnitTypeFlag", "OneAttack", "Local", FALSE
     }
 
 [effect_action_success_ransom_one_attack]
 type    = "Action_Success_Actor_Move_Cost"
 value   = 65535
 reqs    =
-    { "type",     "name",           "range", "quiet"
-      "Action",   "Collect Ransom", "Local", TRUE
-      "UnitFlag", "OneAttack",      "Local", TRUE
+    { "type",         "name",           "range", "quiet"
+      "Action",       "Collect Ransom", "Local", TRUE
+      "UnitTypeFlag", "OneAttack",      "Local", TRUE
     }
 
 [effect_action_success_ransom]
 type    = "Action_Success_Actor_Move_Cost"
 value   = 6
 reqs    =
-    { "type",     "name",           "range", "present"
-      "Action",   "Collect Ransom", "Local", TRUE
-      "UnitFlag", "OneAttack",      "Local", FALSE
+    { "type",         "name",           "range", "present"
+      "Action",       "Collect Ransom", "Local", TRUE
+      "UnitTypeFlag", "OneAttack",      "Local", FALSE
     }
 
 [effect_unit_shield_value_recycle]
diff --git a/data/civ2civ3/terrain.ruleset b/data/civ2civ3/terrain.ruleset
index 19bd11c236..bad727ccb7 100644
--- a/data/civ2civ3/terrain.ruleset
+++ b/data/civ2civ3/terrain.ruleset
@@ -1558,11 +1558,11 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Tech", "Construction", "Player", TRUE, FALSE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
-      "UnitFlag", "Fortress", "Local", TRUE, FALSE
-      "CityTile", "Center", "Tile", FALSE, TRUE
+    { "type",         "name",         "range",  "present", "quiet"
+      "Tech",         "Construction", "Player", TRUE,      FALSE
+      "TerrainClass", "Land",         "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Fortress",     "Local",  TRUE,      FALSE
+      "CityTile",     "Center",       "Tile",   FALSE,     TRUE
     }
 build_time     = 0
 build_time_factor = 2
@@ -1592,13 +1592,13 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Extra", "Fort", "Tile", TRUE, FALSE
-      "Tech", "Construction", "Player", TRUE, FALSE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
-      "UnitFlag", "Fortress", "Local", TRUE, FALSE
-      "CityTile", "Center", "Tile", FALSE, TRUE
-      "Extra", "River", "Tile", FALSE, FALSE
+    { "type",         "name",         "range",  "present", "quiet"
+      "Extra",        "Fort",         "Tile",   TRUE,      FALSE
+      "Tech",         "Construction", "Player", TRUE,      FALSE
+      "TerrainClass", "Land",         "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Fortress",     "Local",  TRUE,      FALSE
+      "CityTile",     "Center",       "Tile",   FALSE,     TRUE
+      "Extra",        "River",        "Tile",   FALSE,     FALSE
     }
 build_time     = 0
 build_time_factor = 2
@@ -1638,11 +1638,11 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Tech", "Radio", "Player", TRUE, FALSE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "CityTile", "Center", "Tile", FALSE, TRUE
+    { "type",         "name",    "range",  "present", "quiet"
+      "Tech",         "Radio",   "Player", TRUE,      FALSE
+      "TerrainClass", "Land",    "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Workers", "Local",  TRUE,      FALSE
+      "CityTile",     "Center",  "Tile",   FALSE,     TRUE
     }
 build_time     = 0
 build_time_factor = 2
@@ -1680,13 +1680,13 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Extra", "Airstrip", "Tile", TRUE, FALSE
-      "Tech", "Radio", "Player", TRUE, FALSE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "CityTile", "Center", "Tile", FALSE, TRUE
-      "Extra", "River", "Tile", FALSE, FALSE
+    { "type",         "name",     "range",  "present", "quiet"
+      "Extra",        "Airstrip", "Tile",   TRUE,      FALSE
+      "Tech",         "Radio",    "Player", TRUE,      FALSE
+      "TerrainClass", "Land",     "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Workers",  "Local",  TRUE,      FALSE
+      "CityTile",     "Center",   "Tile",   FALSE,     TRUE
+      "Extra",        "River",    "Tile",   FALSE,     FALSE
     }
 build_time     = 0
 build_time_factor = 2
@@ -1723,11 +1723,11 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Tech", "Radio", "Player", TRUE, FALSE
-      "TerrainClass", "Oceanic", "Tile", TRUE, FALSE
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "CityTile", "Center", "Tile", FALSE, TRUE
+    { "type",         "name",    "range",  "present", "quiet"
+      "Tech",         "Radio",   "Player", TRUE,      FALSE
+      "TerrainClass", "Oceanic", "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Workers", "Local",  TRUE,      FALSE
+      "CityTile",     "Center",  "Tile",   FALSE,     TRUE
     }
 build_time     = 3
 removal_time   = 0
@@ -1778,10 +1778,10 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "UnitClass", "Sea", "Local", FALSE, TRUE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
+    { "type",         "name",    "range", "present", "quiet"
+      "UnitTypeFlag", "Workers", "Local", TRUE,      FALSE
+      "UnitClass",    "Sea",     "Local", FALSE,     TRUE
+      "TerrainClass", "Land",    "Tile",  TRUE,      FALSE
     }
 build_time     = 0
 removal_time   = 0
@@ -1814,12 +1814,12 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Tech", "Railroad", "Player", TRUE, FALSE
-      "Extra", "Road", "Tile", TRUE, FALSE
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "UnitClass", "Sea", "Local", FALSE, TRUE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
+    { "type",         "name",     "range",  "present", "quiet"
+      "Tech",         "Railroad", "Player", TRUE,      FALSE
+      "Extra",        "Road",     "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Workers",  "Local",  TRUE,      FALSE
+      "UnitClass",    "Sea",      "Local",  FALSE,     TRUE
+      "TerrainClass", "Land",     "Tile",   TRUE,      FALSE
     }
 build_time     = 3
 removal_time   = 0
@@ -1854,12 +1854,12 @@ rmact_gfx      = "None"
 rmact_gfx_alt  = "-"
 rmact_gfx_alt2 = "-"
 reqs           =
-    { "type", "name", "range", "present", "quiet"
-      "Tech", "Superconductors", "Player", TRUE, FALSE
-      "Extra", "Railroad", "Tile", TRUE, FALSE
-      "UnitFlag", "Workers", "Local", TRUE, FALSE
-      "UnitClass", "Sea", "Local", FALSE, TRUE
-      "TerrainClass", "Land", "Tile", TRUE, FALSE
+    { "type",         "name",            "range",  "present", "quiet"
+      "Tech",         "Superconductors", "Player", TRUE,      FALSE
+      "Extra",        "Railroad",        "Tile",   TRUE,      FALSE
+      "UnitTypeFlag", "Workers",         "Local",  TRUE,      FALSE
+      "UnitClass",    "Sea",             "Local",  FALSE,     TRUE
+      "TerrainClass", "Land",            "Tile",   TRUE,      FALSE
     }
 build_time     = 3
 removal_time   = 0
-- 
2.43.0

